Subject: bug#27647: 26.0.50; Line numbers implemented natively disappear momentarily when frame out of focus

From: martin rudalics <[email-masked]>
Date: Tue, 14 Nov 2017 10:52:48 +0100

>> IIUC GTK doesn't need the original frame.
 >
 > xg_hide_tooltip needs it, because the GTK tooltip widget is stashed
 > away in its output->data.x structure.

Because ‘tooltip-show’ implicitly uses the selected frame to decide
where to show the tooltip and passes it as argument to ‘x-show-tip’.
Nowhere in the documentation of tooltips we mention that dependency.

 > Once again, it would be better to have the GTK code completely
 > separated, IMO.

Still I think we should first eliminate all tooltip related global
variables.  They are an unnecessary confusion - only think of
last_show_tip_args impicitly also referring to a frame selected at some
earlier time - and restriction - Emacs could easily show several native
tooltips simultaneously, at least one for each display.

martin